<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sar__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sar_config_t</compoundname>
    <includes local="no">cy_sar.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sar__config__t_1ae29e4c06743d2fdf0d14b8717fe7f9d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::ctrl</definition>
        <argsstring />
        <name>ctrl</name>
        <briefdescription>
<para>Control register settings (applies to all channels) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1346" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1346" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a721d60c3a04c3e3e1dfa0eb016bd0f1b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::sampleCtrl</definition>
        <argsstring />
        <name>sampleCtrl</name>
        <briefdescription>
<para>Sample control register settings (applies to all channels) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1347" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1347" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a554c4f772d120ca67427c314ed713c00" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::sampleTime01</definition>
        <argsstring />
        <name>sampleTime01</name>
        <briefdescription>
<para>Sample time in ADC clocks for Sample Time 0 and 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1348" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1348" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a83f2dbd35c0842aff1f132c27866c66a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::sampleTime23</definition>
        <argsstring />
        <name>sampleTime23</name>
        <briefdescription>
<para>Sample time in ADC clocks for Sample Time 2 and 3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1349" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1acd6a42daab5525b953e77b60c26d59a5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::rangeThres</definition>
        <argsstring />
        <name>rangeThres</name>
        <briefdescription>
<para>Range detect threshold register for all channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1350" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1350" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a27365f96ede08918dd4204b62b986984" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sar__range__thres__register__enums_1gaccf649d65a86e17939c3d20a684cd9cd">cy_en_sar_range_detect_condition_t</ref></type>
        <definition>cy_en_sar_range_detect_condition_t cy_stc_sar_config_t::rangeCond</definition>
        <argsstring />
        <name>rangeCond</name>
        <briefdescription>
<para>Range detect condition (below, inside, output, or above) for all channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1351" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1351" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a860414bfd6efe5a299f0d6076da4ffc3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::chanEn</definition>
        <argsstring />
        <name>chanEn</name>
        <briefdescription>
<para>Enable bits for the channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1352" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1352" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a4807e056384f91b4f3188cbe760087ac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::chanConfig[CY_SAR_NUM_CHANNELS]</definition>
        <argsstring>[CY_SAR_NUM_CHANNELS]</argsstring>
        <name>chanConfig</name>
        <briefdescription>
<para>Channel configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1353" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1353" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a030b1e079356fcbbc469fd003db55087" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::intrMask</definition>
        <argsstring />
        <name>intrMask</name>
        <briefdescription>
<para>Interrupt enable mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1354" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1354" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1af37d49db767328291f6b3499961c0af5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::satIntrMask</definition>
        <argsstring />
        <name>satIntrMask</name>
        <briefdescription>
<para>Saturation detection interrupt enable mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1355" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1355" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1a175bdc3582ee03c226b925f011905457" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::rangeIntrMask</definition>
        <argsstring />
        <name>rangeIntrMask</name>
        <briefdescription>
<para>Range detection interrupt enable mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1356" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1356" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1aa7e444a8335d389f74544cbe006cfcb2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::muxSwitch</definition>
        <argsstring />
        <name>muxSwitch</name>
        <briefdescription>
<para>SARMUX firmware switches to connect analog signals to SAR. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1357" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1adebfd9a3c8de7368788a6b175ac255aa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::muxSwitchSqCtrl</definition>
        <argsstring />
        <name>muxSwitchSqCtrl</name>
        <briefdescription>
<para>Enable SARSEQ control of specific SARMUX switches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1358" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1ac5fd152c99fa5d4eb5ad01586dc83f8b" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sar_config_t::configRouting</definition>
        <argsstring />
        <name>configRouting</name>
        <briefdescription>
<para>Configure or ignore routing related registers (muxSwitch, muxSwitchSqCtrl) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1359" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1359" />
      </memberdef>
      <memberdef id="structcy__stc__sar__config__t_1aa7279a82a2c0a4b3d95f970720cbbde3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_config_t::vrefMvValue</definition>
        <argsstring />
        <name>vrefMvValue</name>
        <briefdescription>
<para>Reference voltage in millivolts used in converting counts to volts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1360" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1360" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used to initialize the SAR ADC subsystem. </para>    </briefdescription>
    <detaileddescription>
<para>The SAR ADC subsystem is highly configurable with many options. When calling <ref kindref="member" refid="group__group__sar__functions__basic_1ga5c053a77ca29519ca29da56da7eaeebe">Cy_SAR_Init</ref>, provide a pointer to the structure containing this configuration data. A set of enumerations is provided in this driver to help with configuring this structure.</para><para>See the <ref kindref="member" refid="group__group__sar_1group_sar_initialization">Initialization and Enable</ref> section for guidance. </para>    </detaileddescription>
    <location bodyend="1361" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1344" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1345" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sar__config__t_1a4807e056384f91b4f3188cbe760087ac" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>chanConfig</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a860414bfd6efe5a299f0d6076da4ffc3" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>chanEn</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1ac5fd152c99fa5d4eb5ad01586dc83f8b" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>configRouting</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1ae29e4c06743d2fdf0d14b8717fe7f9d5" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>ctrl</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a030b1e079356fcbbc469fd003db55087" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>intrMask</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1aa7e444a8335d389f74544cbe006cfcb2" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>muxSwitch</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1adebfd9a3c8de7368788a6b175ac255aa" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>muxSwitchSqCtrl</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a27365f96ede08918dd4204b62b986984" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>rangeCond</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a175bdc3582ee03c226b925f011905457" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>rangeIntrMask</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1acd6a42daab5525b953e77b60c26d59a5" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>rangeThres</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a721d60c3a04c3e3e1dfa0eb016bd0f1b" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>sampleCtrl</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a554c4f772d120ca67427c314ed713c00" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>sampleTime01</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1a83f2dbd35c0842aff1f132c27866c66a" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>sampleTime23</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1af37d49db767328291f6b3499961c0af5" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>satIntrMask</name></member>
      <member prot="public" refid="structcy__stc__sar__config__t_1aa7279a82a2c0a4b3d95f970720cbbde3" virt="non-virtual"><scope>cy_stc_sar_config_t</scope><name>vrefMvValue</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>